Bug 740796 - Expiry exchange option for queue
Expiry exchange option for queue
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
2.0
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
: FutureFeature, Patch
Depends On:
Blocks: 698367
  Show dependency treegraph
 
Reported: 2011-09-23 07:45 EDT by Andy Goldstein
Modified: 2013-02-27 05:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-3503 None None None 2012-10-22 14:33:38 EDT

  None (edit)
Description Andy Goldstein 2011-09-23 07:45:34 EDT
From https://issues.apache.org/jira/browse/QPID-3503:

One of our clients is interested in logging information about any message that the broker discards because the message expired (ttl). Because our client's logging requirements are specific to the system we're building for them, rather than trying to modify the log message the broker generates when it discards an expired message, we've created an option that can be set on a queue called qpid.expiry_exchange. If set, whenever the broker discards an expired message, instead of just deleting it, it will send it to the specified expiry exchange. This way, we can bind a queue to the expiry exchange and attach a separate Receiver to the queue to receive these expired messages and log them.

Note You need to log in before you can comment on or make changes to this bug.